import type * as html from 'vscode-html-languageservice';
import type { TextDocument } from 'vscode-languageserver-textdocument';
export { PugDocument } from './pugDocument';
export interface LanguageService extends ReturnType<typeof getLanguageService> {
}
export declare function getLanguageService(htmlLs: html.LanguageService): {
    parsePugDocument: (doc: TextDocument) => {
        pugTextDocument: html.TextDocument;
        htmlTextDocument: html.TextDocument;
        htmlDocument: html.HTMLDocument;
        pugCode: string;
        htmlCode: string;
        sourceMap: import("@volar/source-map").SourceMap<{
            isEmptyTagCompletion: boolean;
        } | undefined>;
        error: {
            code: string;
            msg: string;
            line: number;
            column: number;
            filename: string;
        } | undefined;
        ast: import("./pugDocument").Node | undefined;
    };
    doComplete: (pugDoc: import("./pugDocument").PugDocument, pos: html.Position, documentContext: html.DocumentContext, options?: html.CompletionConfiguration | undefined) => Promise<html.CompletionList | undefined>;
    findDocumentHighlights: (pugDoc: import("./pugDocument").PugDocument, pos: html.Position) => html.DocumentHighlight[] | undefined;
    findDocumentLinks: (pugDoc: import("./pugDocument").PugDocument, docContext: html.DocumentContext) => html.DocumentLink[];
    findDocumentSymbols: (pugDoc: import("./pugDocument").PugDocument) => html.SymbolInformation[];
    doHover: (docDoc: import("./pugDocument").PugDocument, pos: html.Position) => html.Hover | undefined;
    createScanner: (pugDoc: import("./pugDocument").PugDocument, initialOffset?: number) => {
        scan: () => html.TokenType;
        getTokenOffset: () => number;
        getTokenEnd: () => number;
        getTokenText: () => string;
        getTokenLength: () => number;
        getTokenError: () => string | undefined;
        getScannerState: () => html.ScannerState;
    } | undefined;
    getSelectionRanges: (pugDoc: import("./pugDocument").PugDocument, posArr: html.Position[]) => html.SelectionRange[];
    getFoldingRanges: (pugDoc: import("./pugDocument").PugDocument) => html.FoldingRange[];
};
